import type { DefaultValues } from '../../../bridge';
import type { APIKey, AddGroupMemberRequest, AddGroupMembersRequest, Application, CreateAPIKeyRequest, CreateApplicationRequest, CreateGroupRequest, CreateJWTRequest, CreatePolicyRequest, CreateSSHKeyRequest, CreateUserRequest, EncodedJWT, Group, JWT, ListAPIKeysResponse, ListApplicationsResponse, ListGracePeriodsResponse, ListGroupsResponse, ListJWTsResponse, ListLogsResponse, ListPermissionSetsResponse, ListPoliciesResponse, ListQuotaResponse, ListRulesResponse, ListSSHKeysResponse, ListUsersResponse, Log, MFAOTP, OrganizationSecuritySettings, Policy, Quotum, RemoveGroupMemberRequest, SSHKey, SetGroupMembersRequest, SetRulesRequest, SetRulesResponse, UpdateAPIKeyRequest, UpdateApplicationRequest, UpdateGroupRequest, UpdateOrganizationSecuritySettingsRequest, UpdatePolicyRequest, UpdateSSHKeyRequest, UpdateUserPasswordRequest, UpdateUserRequest, UpdateUserUsernameRequest, User, ValidateUserMFAOTPRequest, ValidateUserMFAOTPResponse } from './types.gen';
export declare const unmarshalJWT: (data: unknown) => JWT;
export declare const unmarshalAPIKey: (data: unknown) => APIKey;
export declare const unmarshalApplication: (data: unknown) => Application;
export declare const unmarshalGroup: (data: unknown) => Group;
export declare const unmarshalLog: (data: unknown) => Log;
export declare const unmarshalPolicy: (data: unknown) => Policy;
export declare const unmarshalQuotum: (data: unknown) => Quotum;
export declare const unmarshalSSHKey: (data: unknown) => SSHKey;
export declare const unmarshalUser: (data: unknown) => User;
export declare const unmarshalEncodedJWT: (data: unknown) => EncodedJWT;
export declare const unmarshalListAPIKeysResponse: (data: unknown) => ListAPIKeysResponse;
export declare const unmarshalListApplicationsResponse: (data: unknown) => ListApplicationsResponse;
export declare const unmarshalListGracePeriodsResponse: (data: unknown) => ListGracePeriodsResponse;
export declare const unmarshalListGroupsResponse: (data: unknown) => ListGroupsResponse;
export declare const unmarshalListJWTsResponse: (data: unknown) => ListJWTsResponse;
export declare const unmarshalListLogsResponse: (data: unknown) => ListLogsResponse;
export declare const unmarshalListPermissionSetsResponse: (data: unknown) => ListPermissionSetsResponse;
export declare const unmarshalListPoliciesResponse: (data: unknown) => ListPoliciesResponse;
export declare const unmarshalListQuotaResponse: (data: unknown) => ListQuotaResponse;
export declare const unmarshalListRulesResponse: (data: unknown) => ListRulesResponse;
export declare const unmarshalListSSHKeysResponse: (data: unknown) => ListSSHKeysResponse;
export declare const unmarshalListUsersResponse: (data: unknown) => ListUsersResponse;
export declare const unmarshalMFAOTP: (data: unknown) => MFAOTP;
export declare const unmarshalOrganizationSecuritySettings: (data: unknown) => OrganizationSecuritySettings;
export declare const unmarshalSetRulesResponse: (data: unknown) => SetRulesResponse;
export declare const unmarshalValidateUserMFAOTPResponse: (data: unknown) => ValidateUserMFAOTPResponse;
export declare const marshalAddGroupMemberRequest: (request: AddGroupMemberRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalAddGroupMembersRequest: (request: AddGroupMembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateAPIKeyRequest: (request: CreateAPIKeyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateApplicationRequest: (request: CreateApplicationRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateGroupRequest: (request: CreateGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateJWTRequest: (request: CreateJWTRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePolicyRequest: (request: CreatePolicyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSSHKeyRequest: (request: CreateSSHKeyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateUserRequest: (request: CreateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRemoveGroupMemberRequest: (request: RemoveGroupMemberRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetGroupMembersRequest: (request: SetGroupMembersRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetRulesRequest: (request: SetRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateAPIKeyRequest: (request: UpdateAPIKeyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateApplicationRequest: (request: UpdateApplicationRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateGroupRequest: (request: UpdateGroupRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateOrganizationSecuritySettingsRequest: (request: UpdateOrganizationSecuritySettingsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePolicyRequest: (request: UpdatePolicyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSSHKeyRequest: (request: UpdateSSHKeyRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateUserPasswordRequest: (request: UpdateUserPasswordRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateUserRequest: (request: UpdateUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateUserUsernameRequest: (request: UpdateUserUsernameRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalValidateUserMFAOTPRequest: (request: ValidateUserMFAOTPRequest, defaults: DefaultValues) => Record<string, unknown>;
